Subject: Re: [PATCH v3 net-next 3/3] net: ena: Add PHC documentation

From: Jakub Kicinski <[email-masked]>
Date: Tue, 5 Nov 2024 18:15:52 -0800

On Tue, 05 Nov 2024 18:02:57 -0800 Rahul Rameshbabu wrote:
> I do think the phc-to-host related statistics are on the niche side of
> things. The following drivers are error free in their gettimex64 paths.
> 
> * AMD pesando/ionic
> * Broadcom Tigon3
> * Intel ixgbe
> * Intel igc
> * NVIDIA mlxsw
> * NVIDIA mlx5_core
> 
> The above drivers would definitely not benefit from having "phc
> (nic)"-to-host related statistics being presented here. I am more in
> favor of making these statistics specific to amazon's ENA driver since I
> think most drivers do not have a complex . Also, what value is there in
> the count of phc-to-host successful/failed operations versus just
> keeping track of the errors in userspace for whoever is calling
> clock_gettime. I am somewhat ok with these counters, but I honestly
> cannot imagine any practical use to this especially since they are not
> related to anything over-the-wire. So the errors in userspace would be
> enough of an indicator of whether there is excessive utilization of the
> requests and the counters seem redundant to that (at least to me). Feel
> free to share how you feel these counters would be helpful beyond
> handling the return codes through clock_gettime. I might just be missing
> something.

Agreed, thanks a lot for the analysis. I misread the code.
I looked at ena_com_phc_get() last night and incorrectly 
assumed it's way to complex to be called from gettimex64 :S